#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.14.2
 Author:         Dmitry Ginzburg

 Script Function:
	Copy current configuration to the configurations directory

#ce ----------------------------------------------------------------------------

#include <File.au3>
#include <AutoItConstants.au3>
#include <MsgBoxConstants.au3>

FileChangeDir(@ScriptDir)
Const $PROFILE = "default"

$Conf_Name = InputBox("Configuration name", "Input configuration name")

$Src_Root = @UserProfileDir & "\SignageFX"
$Dest_Root = "configurations" & "\" & $Conf_name

If (FileExists($Dest_Root)) Then
   If (MsgBox($MB_YESNO + $MB_ICONWARNING, "Already exists", "Do you want to rewrite the existing configuration with the same name?")  == $IDNO) Then
	  Exit
   EndIf
   DirRemove($Dest_Root, $DIR_REMOVE)
EndIf
DirCreate($Dest_Root & "\" & $PROFILE)

$Subdirs = StringSplit("app|cache", "|", 2)
$Subdirs_n = UBound($Subdirs)

For $i = 0 to $Subdirs_n - 1
   $Subdir = $Subdirs[$i]
   DirCopy($Src_Root & "\" & $PROFILE & "\" & $Subdir, $Dest_Root & "\" & $PROFILE & "\" & $Subdir)
Next

; processing configuration from this point
$Conf_Rel_Dir = "\" & $PROFILE & "\conf"
$Conf_Rel_Path = $Conf_Rel_Dir & "\player.properties"
DirCreate($Dest_Root & $Conf_Rel_Dir)

$Src_Conf = $Src_Root & $Conf_Rel_Path
$Dest_Conf = $Dest_Root & $Conf_Rel_Path

Local $Src_Conf_Lines
_FileReadToArray($Src_Conf, $Src_Conf_Lines)

$Dest_Conf_Handle = FileOpen($Dest_Conf, $FO_OVERWRITE)

For $i = 1 to $Src_Conf_Lines[0]
   $Line = $Src_Conf_Lines[$i]
   Local $Line_new
   If StringRegExp($Line, "^playerConf\.(defaultP|p)layerName\s*=") Then
	  ContinueLoop
   ElseIf StringRegExp($Line, "^contentParamsKey\s*=") Then
	  $Line_new = "contentParamsKey=%SKU%"
   Else
	  $Line_new = $Line
   EndIf
   FileWriteLine($Dest_Conf_Handle, $Line_new)
Next

FileClose($Dest_Conf_Handle)