#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.14.2
 Author:         Dmitry Ginzburg

 Script Function:
	Copy pre-defined configurations

#ce ----------------------------------------------------------------------------

#include <File.au3>
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <ColorConstants.au3>
#include <AutoItConstants.au3>


$Dest = @UserProfileDir & "\SignageFX"
$Dest_exists = False
If FileExists($Dest) Then $Dest_exists = True

FileChangeDir(@ScriptDir)
$Configs = _FileListToArray("configurations")
$Configs_n = $Configs[0]
$Height_one = 30
$y = 10
GUICreate("Choose configuration", 300, $Height_one * ($Configs_n + 2) + $y, -1, -1)
GUICtrlCreateLabel("Choose configuration:", 10, $y)
If $Dest_exists Then
   $y += $Height_one
   $Label = GUICtrlCreateLabel("The current configuration will be deleted!", 10, $y)
   GUICtrlSetColor($Label, $COLOR_RED)
EndIf
Local $Buttons_Ids[$Configs_n + 1]
For $i = 1 to $Configs_n
   $y += $Height_one
   $Buttons_Ids[$i] = GUICtrlCreateButton($Configs[$i], -1, $y, 100)
Next
GUISetState(@SW_SHOW)
While 1
   $id = GUIGetMsg()
   For $i = 1 to $Configs_n
	  If $Buttons_Ids[$i] == $id Then
		 $Src = "configurations\" & $Configs[$i]
		 $Conf_Original = $Src & "\default\conf\player.properties"
		 $Contains_SKU = StringInStr(FileRead($Conf_Original), "%SKU%")
		 If $Contains_SKU Then
			$SKU = InputBox("SKU", "Input SKU")
		 EndIf

		 GUISetState(@SW_DISABLE)
		 If $Dest_exists Then
			DirRemove($Dest, $DIR_REMOVE)
		 EndIf
		 DirCopy($Src, $Dest)
		 $Conf_file = $Dest & "\default\conf\player.properties"
		 If $Contains_SKU Then
			_ReplaceStringInFile($Conf_file, "%SKU%", $SKU, $STR_CASESENSE, 0)
		 EndIf
		 GUISetState(@SW_HIDE)
		 ExitLoop 2
	  EndIf
   Next
   If $id == $GUI_EVENT_CLOSE Then
	  ExitLoop
   EndIf
WEnd